# Visualization
TKV2d
Graphic2d

# Graphic2d_EllipsMarker Class Reference

The primitive EllipsMarker
Every marker takes a reference point as an argument in
its constructor. CircleMarker and EllipsMarker take
another point as the center and PolylineMarker takes the
first point of its list as its origin.
The coordinates of the centre or origin point are offsets
with respect to the reference point.
.

`#include <Graphic2d_EllipsMarker.hxx>`

Inheritance diagram for Graphic2d_EllipsMarker:

[legend]

## Public Member Functions

Standard_EXPORT | Graphic2d_EllipsMarker (const Handle(Graphic2d_GraphicObject)&aGraphicObject, const Quantity_Length aXPosition, const Quantity_Length aYPosition, const Quantity_Length X, const Quantity_Length Y, const Quantity_Length MajorRadius, const Quantity_Length MinorRadius, const Quantity_PlaneAngle anAngle)
| Creates an ellipse marker with a reference point. The reference point is <axposition>, <ayposition>. The center is <x>, <y>. Angles are measured counterclockwise with 0 radian at 3 o'clock. Warning: Raises EllipsDefinitionError if the major radius or the minor radius is null. .
Standard_EXPORT void | Center (Quantity_Length &X, Quantity_Length &Y) const
| returns the coordinates of center
Standard_EXPORT Quantity_Length | MajorRadius () const
| returns the radius of the ellipse marker
Standard_EXPORT Quantity_Length | MinorRadius () const
| returns the radius of the ellipse marker
Standard_EXPORT Quantity_PlaneAngle | Angle () const
| returns the angle of the ellipse
virtual Standard_EXPORT void | Save (Aspect_FStream &aFStream) const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Static Public Member Functions

static Standard_EXPORT void | Retrieve (Aspect_IFStream &anIFStream, const Handle(Graphic2d_GraphicObject)&aGraphicObject)

## Protected Member Functions

Standard_EXPORT void | Draw (const Handle(Graphic2d_Drawer)&aDrawer)
| Draws the ellipse <me>. .
virtual Standard_EXPORT void | DrawElement (const Handle(Graphic2d_Drawer)&aDrawer, const Standard_Integer anIndex)
| Draws element <anindex> of the ellips marker <me>. .
virtual Standard_EXPORT void | DrawVertex (const Handle(Graphic2d_Drawer)&aDrawer, const Standard_Integer anIndex)
| Draws vertex <anindex> of the ellips marker <me>. .
Standard_EXPORT Standard_Boolean | Pick (const Standard_ShortReal X, const Standard_ShortReal Y, const Standard_ShortReal aPrecision, const Handle(Graphic2d_Drawer)&aDrawer)
| Returns Standard_True if the ellipse <me> is picked, Standard_False if not. .

## Private Attributes

Standard_ShortReal | myX
Standard_ShortReal | myY
Standard_ShortReal | myMajorRadius
Standard_ShortReal | myMinorRadius
Standard_ShortReal | myAngle

## Constructor & Destructor Documentation

Standard_EXPORT Graphic2d_EllipsMarker::Graphic2d_EllipsMarker | ( | const Handle(Graphic2d_GraphicObject)& | aGraphicObject,
|  | const Quantity_Length | aXPosition,
|  | const Quantity_Length | aYPosition,
|  | const Quantity_Length | X,
|  | const Quantity_Length | Y,
|  | const Quantity_Length | MajorRadius,
|  | const Quantity_Length | MinorRadius,
|  | const Quantity_PlaneAngle | anAngle
| ) |

## Member Function Documentation

Standard_EXPORT Quantity_PlaneAngle Graphic2d_EllipsMarker::Angle | ( |  | ) | const

Standard_EXPORT void Graphic2d_EllipsMarker::Center | ( | Quantity_Length & | X,
|  | Quantity_Length & | Y
| ) | const

Standard_EXPORT void Graphic2d_EllipsMarker::Draw | ( | const Handle(Graphic2d_Drawer)& | aDrawer | ) | `[protected, virtual]`

| Implements Graphic2d_Primitive.

virtual Standard_EXPORT void Graphic2d_EllipsMarker::DrawElement | ( | const Handle(Graphic2d_Drawer)& | aDrawer,
|  | const Standard_Integer | anIndex
| ) | `[protected, virtual]`

| Reimplemented from Graphic2d_Primitive.

virtual Standard_EXPORT void Graphic2d_EllipsMarker::DrawVertex | ( | const Handle(Graphic2d_Drawer)& | aDrawer,
|  | const Standard_Integer | anIndex
| ) | `[protected, virtual]`

| Reimplemented from Graphic2d_Primitive.

Standard_EXPORT const Graphic2d_EllipsMarker::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Graphic2d_VectorialMarker.

Standard_EXPORT Quantity_Length Graphic2d_EllipsMarker::MajorRadius | ( |  | ) | const

Standard_EXPORT Quantity_Length Graphic2d_EllipsMarker::MinorRadius | ( |  | ) | const

Standard_EXPORT Standard_Boolean Graphic2d_EllipsMarker::Pick | ( | const Standard_ShortReal | X,
|  | const Standard_ShortReal | Y,
|  | const Standard_ShortReal | aPrecision,
|  | const Handle(Graphic2d_Drawer)& | aDrawer
| ) | `[protected, virtual]`

| Implements Graphic2d_Primitive.

static Standard_EXPORT void Graphic2d_EllipsMarker::Retrieve | ( | Aspect_IFStream & | anIFStream,
|  | const Handle(Graphic2d_GraphicObject)& | aGraphicObject
| ) | `[static]`

virtual Standard_EXPORT void Graphic2d_EllipsMarker::Save | ( | Aspect_FStream & | aFStream | ) | const`[virtual]`

| Reimplemented from Graphic2d_Line.

## Field Documentation

Standard_ShortReal Graphic2d_EllipsMarker::myAngle `[private]`

Standard_ShortReal Graphic2d_EllipsMarker::myMajorRadius `[private]`

Standard_ShortReal Graphic2d_EllipsMarker::myMinorRadius `[private]`

Standard_ShortReal Graphic2d_EllipsMarker::myX `[private]`

Standard_ShortReal Graphic2d_EllipsMarker::myY `[private]`

The documentation for this class was generated from the following file:

- Graphic2d_EllipsMarker.hxx